## EShellSwitcher EShellSwitcher — buttons for switching views |

## Functions

GtkWidget * | e_shell_switcher_new ()
void | e_shell_switcher_add_action ()
GtkToolbarStyle | e_shell_switcher_get_style ()
void | e_shell_switcher_set_style ()
void | e_shell_switcher_unset_style ()
gboolean | e_shell_switcher_get_visible ()
void | e_shell_switcher_set_visible ()

## Types and Values

#define | E_SHELL_SWITCHER_DEFAULT_TOOLBAR_STYLE
struct | EShellSwitcher

## Includes

    #include <shell/e-shell-switcher.h>

## Description

## Functions

### e_shell_switcher_new ()

    GtkWidget *
    e_shell_switcher_new (void);

`e_shell_switcher_new` is deprecated and should not be used in newly-written code.

Creates a new EShellSwitcher instance.

#### Returns

a new EShellSwitcher instance

### e_shell_switcher_add_action ()

    void
    e_shell_switcher_add_action (EShellSwitcher *switcher,
                                 GtkAction *switch_action,
                                 GtkAction *new_window_action);

`e_shell_switcher_add_action` is deprecated and should not be used in newly-written code.

Adds a button to `switcher` that proxies for `switcher_action` . Switcher buttons appear in the order they were added. A middle click opens a new window of this type.

EShellWindow adds switcher actions in the order given by the `sort_order` field in EShellBackendClass.

#### Parameters

switcher | an EShellSwitcher |
switch_action | a GtkAction |
new_window_action | a GtkAction |

### e_shell_switcher_get_style ()

    GtkToolbarStyle
    e_shell_switcher_get_style (EShellSwitcher *switcher);

`e_shell_switcher_get_style` is deprecated and should not be used in newly-written code.

Returns whether `switcher` has text, icons or both.

#### Parameters

switcher | an EShellSwitcher |

#### Returns

the current style of `shell`

### e_shell_switcher_set_style ()

    void
    e_shell_switcher_set_style (EShellSwitcher *switcher,
                                GtkToolbarStyle style);

`e_shell_switcher_set_style` is deprecated and should not be used in newly-written code.

Alters the view of `switcher` to display either icons only, text only, or both.

#### Parameters

switcher | an EShellSwitcher |
style | the new style for `switcher` |

### e_shell_switcher_unset_style ()

    void
    e_shell_switcher_unset_style (EShellSwitcher *switcher);

`e_shell_switcher_unset_style` is deprecated and should not be used in newly-written code.

Unsets a switcher style set with `e_shell_switcher_set_style()`, so that user preferences will be used to determine the switcher style.

#### Parameters

switcher | an EShellSwitcher |

### e_shell_switcher_get_visible ()

    gboolean
    e_shell_switcher_get_visible (EShellSwitcher *switcher);

`e_shell_switcher_get_visible` is deprecated and should not be used in newly-written code.

Returns `TRUE` if the switcher buttons are visible.

Note that switcher button visibility is different than `switcher` 's GTK_VISIBLE flag, since EShellSwitcher is actually a container widget for EShellSidebar.

#### Parameters

switcher | an EShellSwitcher |

#### Returns

`TRUE` if the switcher buttons are visible

### e_shell_switcher_set_visible ()

    void
    e_shell_switcher_set_visible (EShellSwitcher *switcher,
                                  gboolean visible);

`e_shell_switcher_set_visible` is deprecated and should not be used in newly-written code.

Sets the switcher button visiblity to `visible` .

Note that switcher button visibility is different than `switcher` 's GTK_VISIBLE flag, since EShellSwitcher is actually a container widget for EShellSidebar.

#### Parameters

switcher | an EShellSwitcher |
visible | whether the switcher buttons should be visible |

## Types and Values

### E_SHELL_SWITCHER_DEFAULT_TOOLBAR_STYLE

    #define E_SHELL_SWITCHER_DEFAULT_TOOLBAR_STYLE		GTK_TOOLBAR_BOTH_HORIZ

`E_SHELL_SWITCHER_DEFAULT_TOOLBAR_STYLE` is deprecated and should not be used in newly-written code.

### struct EShellSwitcher

    struct EShellSwitcher {
    	GtkBin parent;
    	EShellSwitcherPrivate *priv;
    };

`EShellSwitcher` is deprecated and should not be used in newly-written code.

Contains only private data that should be read and manipulated using the functions below.